services:
  pdf:
    extends:
      file: ${TEMPLATES_PATH}
      service: default
    image: ghcr.io/alam00000/bentopdf-simple:2.8.1
    container_name: pdf
    ports:
      - "4003:8080"
    networks:
      - ip6net
    labels:
      # Traefik
      - "traefik.enable=true"
      - "traefik.http.routers.pdf.rule=Host(`pdf.${PUBLIC_DOMAIN}`)"
      - "traefik.http.routers.pdf.entrypoints=https"
      - "traefik.http.routers.pdf.tls=true"
